Subject: bug#21258: nnmaildir and subdirectories

From: Glenn Morris <[email-masked]>
Date: Fri, 14 Aug 2015 14:52:10 -0400

Package: gnus
Version: 5.13

Using the gnus that comes with Emacs 24.5, I set:

(setq gnus-secondary-select-methods
      '((nnmaildir "" (directory "/path/to/Maildir"))))

where the contents of Maildir/ look like:

folder1/{cur,new,tmp}
folder2/{cur,new,tmp}
folder3/subfolder4/{cur,new,tmp}
folder3/subfolder5/{cur,new,tmp}

Gnus correctly presents mail from folder1 and folder2.
folder3 shows up as an empty group with no messages that can't be entered.
subfolder4 and subfolder5 aren't detected at all.

I suppose I can fudge it by

1) using symlinks at the top-level, eg
folder3-subfolder4 -> folder3/subfolder4

2) tweaking nnmaildir's directory-files parameter so that directories
like "folder3" that only contain subfolders aren't presented as groups.

But it would be nice if Gnus just handled subdirectories out-of-the-box.